aboutsummaryrefslogtreecommitdiff
path: root/arch/m68k/install.sh
diff options
context:
space:
mode:
authorLinus Torvalds <torvalds@linux-foundation.org>2009-03-26 16:15:31 -0700
committerLinus Torvalds <torvalds@linux-foundation.org>2009-03-26 16:15:31 -0700
commit4496d937a518fde0d0e1980e4ab470cedb4b50cd (patch)
treea02d57e13b44483417973a306f9fd23743959375 /arch/m68k/install.sh
parent8e9d2089723d08d51e66c5eea49253d76e27941e (diff)
parent4b2873ba0bda7dc747cde8b6c7dc6c0b01ea6213 (diff)
Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/geert/linux-m68k
* 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/geert/linux-m68k: m68k: irq_node.handler() should return irqreturn_t m68k: section mismatch fixes: Atari SCSI m68k: section mismatch fixes: DMAsound for Atari MAINTAINERS: Replace dead link to m68k CVS repository by link to new git repository m68k: mac - Add SWIM floppy support m68k: mac - Add a new entry in mac_model to identify the floppy controller type. m68k: Add install target
Diffstat (limited to 'arch/m68k/install.sh')
-rw-r--r--arch/m68k/install.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/arch/m68k/install.sh b/arch/m68k/install.sh
new file mode 100644
index 00000000000..9c6bae6112e
--- /dev/null
+++ b/arch/m68k/install.sh
@@ -0,0 +1,52 @@
+#!/bin/sh
+#
+# This file is subject to the terms and conditions of the GNU General Public
+# License. See the file "COPYING" in the main directory of this archive
+# for more details.
+#
+# Copyright (C) 1995 by Linus Torvalds
+#
+# Adapted from code in arch/i386/boot/Makefile by H. Peter Anvin
+#
+# "make install" script for m68k architecture
+#
+# Arguments:
+# $1 - kernel version
+# $2 - kernel image file
+# $3 - kernel map file
+# $4 - default install path (blank if root directory)
+#
+
+verify () {
+ if [ ! -f "$1" ]; then
+ echo "" 1>&2
+ echo " *** Missing file: $1" 1>&2
+ echo ' *** You need to run "make" before "make install".' 1>&2
+ echo "" 1>&2
+ exit 1
+ fi
+}
+
+# Make sure the files actually exist
+verify "$2"
+verify "$3"
+
+# User may have a custom install script
+
+if [ -x ~/bin/${CROSS_COMPILE}installkernel ]; then exec ~/bin/${CROSS_COMPILE}installkernel "$@"; fi
+if [ -x /sbin/${CROSS_COMPILE}installkernel ]; then exec /sbin/${CROSS_COMPILE}installkernel "$@"; fi
+
+# Default install - same as make zlilo
+
+if [ -f $4/vmlinuz ]; then
+ mv $4/vmlinuz $4/vmlinuz.old
+fi
+
+if [ -f $4/System.map ]; then
+ mv $4/System.map $4/System.old
+fi
+
+cat $2 > $4/vmlinuz
+cp $3 $4/System.map
+
+sync